Package org.eclipse.swt.graphics

# Enum Class RoundingMode

java.lang.Object
java.lang.Enum<RoundingMode>
org.eclipse.swt.graphics.RoundingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<RoundingMode>`, `Constable`

public enum RoundingMode extends Enum<RoundingMode>

Restriction:
  This class is not intended to be referenced by clients

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DOWN`
`ROUND`
`UP`

## Method Summary

Modifier and Type
Method
Description
`int`
`round(float x)`
`static RoundingMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RoundingMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ROUND

public static final RoundingMode ROUND

### UP

public static final RoundingMode UP

### DOWN

public static final RoundingMode DOWN

## Method Details

### values

public static RoundingMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RoundingMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### round

public int round(float x)